!set title=Expressions idiomatiques
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=Csilla Ducrocq
email=csilla.ducrocq@u-psud.fr
language=fr
computeanswer=no

ansorder=r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r
varcnt=166
prevarcnt=146
postvarcnt=19
replycnt=20
choicecnt=0
conditioncnt=40
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=expressions
!readproc slib/utilities/notepad Notepad,small 
tmp0=$slib_out
val7=$(tmp0)
tmp0=!nosubst Choisissez la signification de l'expression idiomatique.

val8=$(tmp0)
tmp0=!nosubst 

val9=$(tmp0)
val10=
val11=
val12=no
val13=no
val14=no
val15=no
val16=yes
val17=
val18=split
val19=1
val20=aucune de ces possibilités
val21=checkbox
val22=
val23=
val24=
val25=
val26=
val27=background-color: #FFFFCC;margin: 2% 2%;padding: 1%;
val28=background-color: #FFCC99;color: black;margin: 2% 2%;padding: 0%;
val29=
val30=ol li {list-style: upper-alpha; }
val31=yes
val32=inside
val33=yes
val34=1
val35=
val36=
val37=fra
val38=player
val39=
tmp=!nonempty items $val6

tmp0=!randitem $tmp
val40=$(tmp0)
tmp0=!recordcnt $val40

val41=$[rint($(tmp0))]
val42=1
val43=1
val44=3

!ifval $val21 iswordof case 
val45= autocomplete=off
!endif
tmp0=!replace internal - by in $val38

val38=$(tmp0)
val46=$val22,$val23,$val24

!ifval $val25 = 
val25=++>
!endif

!ifval $val34 notwordof 0 
val34=$[rint( 1)]
!endif

!ifval $val26!=yes 
val47= noreaccent
!else
val47=
!endif

!ifval $val31 issametext no 
!readproc slib/utilities/nopaste  
tmp0=$slib_out
val48= $(tmp0)
!endif

!ifval $val8 issametext 
tmp0=!getdef instruction in $val40

val8= $(tmp0)
!endif

!ifval $val9 issametext 
tmp0=!getdef instruction2 in $val40

val9= $(tmp0)
!endif

!ifval $val17 issametext 
tmp0=!getdef size in $val40

val17= $(tmp0)
!endif

!ifval $val13 issametext 
tmp0=!getdef reading_file in $val40

val13= $(tmp0)
!endif
tmp0=!record 0 of $val13

val49=$(tmp0)

!ifval $val12 issametext 
tmp0=!getdef audio_file in $val40

val12= $(tmp0)
!endif

!ifval $val12 notsametext  and  $val12 notsametext no
!readproc slib/media/audio $val1/$val12,player=$val38 
tmp0=$slib_out
val50= 	<p align="center">$(tmp0)</p>
!endif

!ifval $val14 issametext 
tmp0=!getdef image_file in $val40

val14= $(tmp0)
!endif

!ifval $val14 notsametext  and  $val14 notsametext no
tmp0=!makelist <img src=$val1/x> for x in $val14

val51= 	$(tmp0)
!endif

!ifval $val15 issametext 
tmp0=!getdef video_file in $val40

val15= $(tmp0)
!endif
!if $val15 notsametext  and  $val15 notsametext no 

!ifval http notin $val15 
val15= $val1/$val15
!endif

!ifval $val15 notsametext 
val52= <a wims_target=external href="$val15">[video] </a></p>
!endif
!endif

!ifval $val10 issametext 
tmp0=!getdef choice in $val40

val53= $(tmp0)
!else
val53=$val10
!endif
val54=<style type="text/css">	 .question {$val27}	 .reponse {$val28}	 .oefstatement{$val29}	 $val30	 </style>	 

!ifval $val36 notwordof 1 2 3 4 5 6 7 8 9 10 
val36= 1
!endif

!ifval $val21 iswordof dragfill clickfill 
val17= $val17 x 1
!endif
val43=$[rint(min($val41,$val43))]
val42=$[rint(min($val43*$val42,$val41))]

!ifval $val16 issametext yes 
tmp0=!shuffle $val41

val55= $(tmp0) 
!else
tmp1=!makelist x for x = 1 to $val41

val55=	$(tmp1)
!endif
val56=Votre réponse :
val57=La bonne réponse :
val58=Bonne réponse
val59=Mauvaise réponse
val60=Réponse incomplète
val61=
tmp=!trim 
val62=!translate internal $	\
$ to ;; in $tmp
tmp=!trim 
val63=!translate internal $	\
$ to ;; in $tmp
tmp=!trim 
val64=!translate internal $	\
$ to ;; in $tmp
val65=
tmp=!trim 
val66=!translate internal $	\
$ to ;; in $tmp
val67=
!for val68 = 1 to $val42 
tmp0=!record $(val55[$val68]) of $val6

val69=$(tmp0)
val70=$val69
tmp=!translate internal $	$ to ; in $val70

tmp=!row 1 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val70=$(tmp0)
tmp0=!getopt audio in $val70

val71=$(tmp0)
tmp0=!getopt image in $val70

val72=$(tmp0)
tmp0=!getopt title in $val70

val73=$(tmp0)
tmp0=!getopt intro in $val70

val74=$(tmp0)

!ifval $val71$val72$val73$val74  notsametext 
val75= 1 
!else
val75= 0
!endif
val76=

!ifval $val73 notsametext 
val76=$val76<p align="center">$val73</p>
!endif

!ifval $val74 notsametext 
val76=$val76 $val74
!endif

!ifval $val72 notsametext 
val76= $val76 <p align="center"><img src=$val1/$val72></p>
!endif
!if $val71 notsametext  

!ifval . isin $val71 or $val37= 
!readproc slib/media/audio $val1/$val71,$val39,player=$val38 
tmp0=$slib_out
val77= 	       $(tmp0)
!else
!readproc slib/lang/swac $val71,$val37,player=$val38,$val39 
tmp1=$slib_out
val77=$(tmp1)
!endif
val76=$val76 <p align="center">$(val77[1;1])</p>
!endif

!ifval $val75=1  
val78= $val76
!else
val78=&nbsp;
!endif

!ifval $val75=1 
tmp0=!line 2 to -1 of $val69

val69= $(tmp0)
!endif
tmp0=!embraced randitem $val69

tmp=!trim $(tmp0)
val69=!translate internal $	\
$ to ;; in $tmp
tmp=!trim $val62	  $(val69[1;])
val62=!translate internal $	\
$ to ;; in $tmp
tmp=!trim $val67	  $val78
val67=!translate internal $	\
$ to ;; in $tmp
val79=$(val69[2;])
tmp0=!upper $val79

val80=$(tmp0)
tmp0=!text select ABCDEFGHIJKLMNOPQRSTUVWXYZ in $val80

val80=$(tmp0)
!if $val80 issametext and $val79 notsametext  
tmp=!trim $val63 ;	  
val63=!translate internal $	\
$ to ;; in $tmp
val81=$[rint(2)]
!endif
!if $val80 issametext and $val79 issametext  
tmp=!trim $val63 ;	  
val63=!translate internal $	\
$ to ;; in $tmp
val81=$[rint(3)]
!endif
!if $val80 notsametext 
tmp=!trim $val63	  $val79
val63=!translate internal $	\
$ to ;; in $tmp
val81=$[rint(3)]
!endif
tmp=!translate internal $	$ to ; in $val69

tmp0=!rowcnt $tmp
val82=$[rint($(tmp0)-$val81)]
val65=$val65,$val82
val83=
tmp0=!shuffle $val82

val84=$(tmp0)
!for val85 =$val81+1 to $val82 + $val81+1 
val53=$(val69[$val85;])
tmp0=!replace internal , by  &#44; in $val53

val53=$(tmp0)
tmp=!trim $val83, $(val53[1;])
val83=!translate internal $	\
$ to ;; in $tmp
!next
tmp0=!nonempty items $val83

val83=$(tmp0)
val83=$(val83[$val84])
tmp=!trim $val66	     $val83
val66=!translate internal $	\
$ to ;; in $tmp
tmp0=!nospace $(val69[$val81;])

val86=$(tmp0)
tmp0=!itemcnt $val86

val87=$(tmp0)
val88=
!for val89  = 1 to $val87 
tmp0=!positionof item $(val86[$val89]) in $val84

val88=$val88, $(tmp0)
!next
tmp0=!nonempty items $val88

tmp1=!sort items $(tmp0)

val88=$(tmp1)
tmp=!trim $val64	    $val88
val64=!translate internal $	\
$ to ;; in $tmp
!next
tmp0=!nonempty items $val65

val65=$(tmp0)
t_=!replace internal \( by ( in divrem($val42,$val43)~
tmp0=!exec pari $t_

val90=$(tmp0)
val91=$[rint($(val90[1]) + 1)]
tmp=!trim 
val92=!translate internal $	\
$ to ;; in $tmp
tmp=!trim 
val93=!translate internal $	\
$ to ;; in $tmp
val94=
!for val95  = 1 to $val91 -1 
tmp0=!makelist r x for x = $val43*$val95 -$val43+1 to $val43*$val95

tmp=!trim $val92	$(tmp0)
val92=!translate internal $	\
$ to ;; in $tmp
tmp0=!makelist x for x = $val43*$val95 -$val43+1 to $val43*$val95

tmp=!trim $val93	$(tmp0)
val93=!translate internal $	\
$ to ;; in $tmp
tmp0=!values $val95+1 for x = ($val95-1)*$val43 +1 to $val95*$val43

val96=$(tmp0)
tmp0=!append item $val96 to $val94

val94=$(tmp0)
!next
tmp0=!makelist r x  for x = $val43*$val91-$val43+1 to $val42

tmp=!trim $val92	 $(tmp0)	
val92=!translate internal $	\
$ to ;; in $tmp
tmp0=!makelist x  for x = $val43*$val91-$val43+1 to $val42

tmp=!trim $val93	 $(tmp0)	
val93=!translate internal $	\
$ to ;; in $tmp
tmp0=!values $val91+1  for x = $val43*$val91-$val43+1 to $val42

val94=$val94, $(tmp0)
val97=$(val92[1;])
val98=
val99=
tmp0=!values x * $val43 for x = 1 to $val91+1

val100=$(tmp0)
tmp0=!makelist x for x = 1 to 2*$val42

val101=$(tmp0)
tmp0=!items2words $val101

val101=$(tmp0)
val102=$[rint(0)]
val103=$[10]
dynsteps=yes
oefsteps=$val97 
nextstep=!nosubst $val97 
!readproc oef/steps.proc
replytype1=$val21

replyoption1=$val61 
replyname1=
replygood1=?analyze 104;$(val66[1;])
replytype2=$val21

replyoption2=$val61 
replyname2=
replygood2=?analyze 105;$(val66[2;])
replytype3=$val21

replyoption3=$val61 
replyname3=
replygood3=?analyze 106;$(val66[3;])
replytype4=$val21

replyoption4=$val61 
replyname4=
replygood4=?analyze 107;$(val66[4;])
replytype5=$val21

replyoption5=$val61 
replyname5=
replygood5=?analyze 108;$(val66[5;])
replytype6=$val21

replyoption6=$val61 
replyname6=
replygood6=?analyze 109;$(val66[6;])
replytype7=$val21

replyoption7=$val61 
replyname7=
replygood7=?analyze 110;$(val66[7;])
replytype8=$val21

replyoption8=$val61 
replyname8=
replygood8=?analyze 111;$(val66[8;])
replytype9=$val21

replyoption9=$val61 
replyname9=
replygood9=?analyze 112;$(val66[9;])
replytype10=$val21

replyoption10=$val61 
replyname10=
replygood10=?analyze 113;$(val66[10;])
replytype11=$val21

replyoption11=$val61 
replyname11=
replygood11=?analyze 114;$(val66[11;])
replytype12=$val21

replyoption12=$val61 
replyname12=
replygood12=?analyze 115;$(val66[12;])
replytype13=$val21

replyoption13=$val61 
replyname13=
replygood13=?analyze 116;$(val66[13;])
replytype14=$val21

replyoption14=$val61 
replyname14=
replygood14=?analyze 117;$(val66[14;])
replytype15=$val21

replyoption15=$val61 
replyname15=
replygood15=?analyze 118;$(val66[15;])
replytype16=$val21

replyoption16=$val61 
replyname16=
replygood16=?analyze 119;$(val66[16;])
replytype17=$val21

replyoption17=$val61 
replyname17=
replygood17=?analyze 120;$(val66[17;])
replytype18=$val21

replyoption18=$val61 
replyname18=
replygood18=?analyze 121;$(val66[18;])
replytype19=$val21

replyoption19=$val61 
replyname19=
replygood19=?analyze 122;$(val66[19;])
replytype20=$val21

replyoption20=$val61 
replyname20=
replygood20=?analyze 123;$(val66[20;])
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()$val48	$val54$val8	 
!if $val49 notsametext  
$() 
!read oef/special.phtml help reading,[à lire] 
$() 
!endif
$()	 
!if $val51 notsametext  
$() 
!read oef/special.phtml help image,[à regarder] 
$() 
!endif
$()	$val50$val52	  
!for m_h=1 to $(val100[$m_step]) 
$()$(val67[$m_h;])	    
!if ($m_h <= $(val100[$m_step]) - $val43 or r $m_h isitemof $val97) and $(val62[$m_h;]) notsametext  
$()	     <p> 
!if $val91 > 1 and $val43 > 1 
$()$m_h :  
!endif
$() $(val62[$m_h;])</p>	    
!endif
$()	    
!if $m_h <= $(val100[$m_step]) - $val43 and $(val62[$m_h;]) notsametext 
$()	    <div class="reponse">	      $val56	        
!for m_a in $(val99[$m_h;]) 
$()	          
!if  $m_a  isitemof $(val66[$m_h;$(val64[$m_h;])]) 
$()	            
!if $(val98[$m_h;2])>0 and $(val98[$m_h;3])=0 
$()	           <font color="navy"><b>$m_a</b></font> 
!else
$()	            <font color="green"><b>$m_a</b></font> 
!endif
$()	            
!else
$()	          	         <font color="red"><b><strike>$m_a</strike></b></font> 
!endif
$() -  
!next
$()	          
!if $(val98[$m_h;2])>0 and $(val98[$m_h;3])=0 
$()	                   <font color="navy">$val60	          </font> 
!endif
$()	          
!if $(val98[$m_h;3])>0 
$()<font color="red">$val59</font> 
!endif
$()	          
!if $(val98[$m_h;3])=0 and $(val98[$m_h;2])=0 
$()<font color="green">$val58</font> 
!endif
$()	          
!if $val35=yes 
$()	         <br> $val57 <font color=green><b>$(val66[$m_h;$(val64[$m_h;])])</font></b> 
!endif
$()	       
!if $(val63[$m_h;]) notsametext  
$()<br>$(val63[$m_h;]) 
!endif
$()     	     </div>	    
!else
$()	      
!if  r $m_h isitemof $val97 
$()	      <div class="question">	   <ol>	       
!for m_s=1 to $(val65[$m_h]) 
$() <li> 
!read oef/embed.phtml reply \h , \s 
$()</li>  
!next
$()	      </ol>	      </div>	       
!endif
$()	    
!endif
$()	     </ol>	   
!next
$()	 
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:latex
$()
$()
!exit

:postdef
tmp=!trim $val104	$val105	$val106	$val107	$val108	$val109	$val110	$val111	$val112	$val113	$val114	$val115	$val116	$val117	$val118	$val119	$val120	$val121	$val122	$val123
val99=!translate internal $	\
$ to ;; in $tmp
!if $val21=radio 
tmp0=!replace internal , by  &#44; in $val99

val99=$(tmp0)
!endif
tmp=!trim \explication2
val124=!translate internal $	\
$ to ;; in $tmp
!for val95  = 1 to $val43 
val86=$(val93[$m_step-1;$val95])
tmp0=!listuniq $(val99[$val86;]),$(val66[$val86;$(val64[$val86;])])

val125=$(tmp0)
tmp0=!itemcnt $val125

tmp1=!itemcnt $(val66[$val86;$(val64[$val86;])])

val125=$[rint($(tmp0)-$(tmp1))]
tmp0=!listcomplement $(val99[$val86;]) in $(val66[$val86;$(val64[$val86;])])

val126=$(tmp0)
tmp0=!listcomplement $(val66[$val86;$(val64[$val86;])]) in $(val99[$val86;])

val127=$(tmp0)
tmp0=!itemcnt $(val99[$val86;])

tmp1=!itemcnt $(val66[$val86;])

val128=$[rint($(tmp0) - $(tmp1))]
tmp0=!itemcnt $val126

tmp1=!itemcnt $val127

val129=$val125, $(tmp0),$(tmp1)

!ifval $(val129[1])+$(val129[2])+$(val129[3]) =0 
val102=$[rint( $val102 + 1)]
!endif
tmp=!trim $val98	   $val129
val98=!translate internal $	\
$ to ;; in $tmp
!next
val103=$[$val102/$(val93[$m_step-1;$val43])]

!ifval $val103 >= $val19 
val97= $(val92[$m_step;])
!else
val97=
!endif
tmp0=!rows2lines $val63

val130=$(tmp0)
tmp0=!lines2items $val130

val130=$(tmp0)
tmp0=!items2words $val130

val130=$(tmp0)
tmp0=!nospace $val130

val130=$(tmp0)

!exit

:feedback

!exit

:test

condlist=$val101
condoption1=hide 

!ifval $(val98[1;3])=0
 condtest1=1
!else
 condtest1=0
!endif
condname1=Question 1 : $val104
condoption2=hide 

!ifval $(val98[1;1])=0 and $(val98[1;2])=0 and $(val98[1;3])=0
 condtest2=1
!else
 condtest2=0
!endif
condname2=Question 1 : $val104
condoption3=hide 

!ifval $(val98[2;3])=0 and $m_step >=$(val94[2])
 condtest3=1
!else
 condtest3=0
!endif
condname3=Question 2 : $val105
condoption4=hide 

!ifval $(val98[2;1])=0 and $(val98[2;2])=0 and $(val98[2;3])=0 and $m_step >=$(val94[2])
 condtest4=1
!else
 condtest4=0
!endif
condname4=Question 2 : $val105
condoption5=hide 

!ifval $(val98[3;3])=0 and $m_step >=$(val94[3])
 condtest5=1
!else
 condtest5=0
!endif
condname5=Question 3 : $val106
condoption6=hide 

!ifval $(val98[3;1])=0 and $(val98[3;2])=0 and $(val98[3;3])=0 and $m_step >=$(val94[3])
 condtest6=1
!else
 condtest6=0
!endif
condname6=Question 3 : $val106
condoption7=hide 

!ifval $(val98[4;3])=0 and $m_step >=$(val94[4])
 condtest7=1
!else
 condtest7=0
!endif
condname7=Question 4 : $val107
condoption8=hide 

!ifval $(val98[4;1])=0 and $(val98[4;2])=0 and $(val98[4;3])=0 and $m_step >=$(val94[4])
 condtest8=1
!else
 condtest8=0
!endif
condname8=Question 4 : $val107
condoption9=hide 

!ifval $(val98[5;3])=0 and $m_step >=$(val94[5])
 condtest9=1
!else
 condtest9=0
!endif
condname9=Question 5 : $val108
condoption10=hide 

!ifval $(val98[5;1])=0 and $(val98[5;2])=0 and $(val98[5;3])=0 and $m_step >=$(val94[5])
 condtest10=1
!else
 condtest10=0
!endif
condname10=Question 5 : $val108
condoption11=hide 

!ifval $(val98[6;3])=0 and $m_step >=$(val94[6])
 condtest11=1
!else
 condtest11=0
!endif
condname11=Question 6 : $val109
condoption12=hide 

!ifval $(val98[6;1])=0 and $(val98[6;2])=0 and $(val98[6;3])=0 and $m_step >=$(val94[6])
 condtest12=1
!else
 condtest12=0
!endif
condname12=Question 6 : $val109
condoption13=hide 

!ifval $(val98[7;3])=0 and $m_step >=$(val94[7])
 condtest13=1
!else
 condtest13=0
!endif
condname13=Question 7 : $val110
condoption14=hide 

!ifval $(val98[7;1])=0 and $(val98[7;2])=0 and $(val98[7;3])=0 and $m_step >=$(val94[7])
 condtest14=1
!else
 condtest14=0
!endif
condname14=Question 7 : $val110
condoption15=hide 

!ifval $(val98[8;3])=0 and $m_step >=$(val94[8])
 condtest15=1
!else
 condtest15=0
!endif
condname15=Question 8 : $val111
condoption16=hide 

!ifval $(val98[8;1])=0 and $(val98[8;2])=0 and $(val98[8;3])=0 and $m_step >=$(val94[8])
 condtest16=1
!else
 condtest16=0
!endif
condname16=Question 8 : $val111
condoption17=hide 

!ifval $(val98[9;3])=0 and $m_step >=$(val94[9])
 condtest17=1
!else
 condtest17=0
!endif
condname17=Question 9 : $val112
condoption18=hide 

!ifval $(val98[9;1])=0 and $(val98[9;2])=0 and $(val98[9;3])=0 and $m_step >=$(val94[9])
 condtest18=1
!else
 condtest18=0
!endif
condname18=Question 9 : $val112
condoption19=hide 

!ifval $(val98[10;3])=0 and $m_step >=$(val94[10])
 condtest19=1
!else
 condtest19=0
!endif
condname19=Question 10 : $val113
condoption20=hide 

!ifval $(val98[10;1])=0 and $(val98[10;2])=0 and $(val98[10;3])=0 and $m_step >=$(val94[10])
 condtest20=1
!else
 condtest20=0
!endif
condname20=Question 10 : $val113
condoption21=hide 

!ifval $(val98[11;3])=0 and $m_step >=$(val94[11])
 condtest21=1
!else
 condtest21=0
!endif
condname21=Question 11 : $val114
condoption22=hide 

!ifval $(val98[11;1])=0 and $(val98[11;2])=0 and $(val98[11;3])=0 and $m_step >=$(val94[11])
 condtest22=1
!else
 condtest22=0
!endif
condname22=Question 11 : $val114
condoption23=hide 

!ifval $(val98[12;3])=0 and $m_step >=$(val94[12])
 condtest23=1
!else
 condtest23=0
!endif
condname23=Question 12 : $val115
condoption24=hide 

!ifval $(val98[12;1])=0 and $(val98[12;2])=0 and $(val98[12;3])=0 and $m_step >=$(val94[12])
 condtest24=1
!else
 condtest24=0
!endif
condname24=Question 12 : $val115
condoption25=hide 

!ifval $(val98[13;3])=0 and $m_step >=$(val94[13])
 condtest25=1
!else
 condtest25=0
!endif
condname25=Question 13 : $val116
condoption26=hide 

!ifval $(val98[13;1])=0 and $(val98[13;2])=0 and $(val98[13;3])=0 and $m_step >=$(val94[13])
 condtest26=1
!else
 condtest26=0
!endif
condname26=Question 13 : $val116
condoption27=hide 

!ifval $(val98[14;3])=0 and $m_step >=$(val94[14])
 condtest27=1
!else
 condtest27=0
!endif
condname27=Question 14 : $val117
condoption28=hide 

!ifval $(val98[14;1])=0 and $(val98[14;2])=0 and $(val98[14;3])=0 and $m_step >=$(val94[14])
 condtest28=1
!else
 condtest28=0
!endif
condname28=Question 14 : $val117
condoption29=hide 

!ifval $(val98[15;3])=0 and $m_step >=$(val94[15])
 condtest29=1
!else
 condtest29=0
!endif
condname29=Question 15 : $val118
condoption30=hide 

!ifval $(val98[15;1])=0 and $(val98[15;2])=0 and $(val98[15;3])=0 and $m_step >=$(val94[15])
 condtest30=1
!else
 condtest30=0
!endif
condname30=Question 15 : $val118
condoption31=hide 

!ifval $(val98[16;3])=0 and $m_step >=$(val94[16])
 condtest31=1
!else
 condtest31=0
!endif
condname31=Question 16 : $val119
condoption32=hide 

!ifval $(val98[16;1])=0 and $(val98[16;2])=0 and $(val98[16;3])=0 and $m_step >=$(val94[16])
 condtest32=1
!else
 condtest32=0
!endif
condname32=Question 16 : $val119
condoption33=hide 

!ifval $(val98[17;3])=0 and $m_step >=$(val94[17])
 condtest33=1
!else
 condtest33=0
!endif
condname33=Question 17 : $val120
condoption34=hide 

!ifval $(val98[17;1])=0 and $(val98[17;2])=0 and $(val98[17;3])=0 and $m_step >=$(val94[17])
 condtest34=1
!else
 condtest34=0
!endif
condname34=Question 17 : $val120
condoption35=hide 

!ifval $(val98[18;3])=0 and $m_step >=$(val94[18])
 condtest35=1
!else
 condtest35=0
!endif
condname35=Question 18 : $val121
condoption36=hide 

!ifval $(val98[18;1])=0 and $(val98[18;2])=0 and $(val98[18;3])=0 and $m_step >=$(val94[18])
 condtest36=1
!else
 condtest36=0
!endif
condname36=Question 18 : $val121
condoption37=hide 

!ifval $(val98[19;3])=0 and $m_step >=$(val94[19])
 condtest37=1
!else
 condtest37=0
!endif
condname37=Question 19 : $val122
condoption38=hide 

!ifval $(val98[19;1])=0 and $(val98[19;2])=0 and $(val98[19;3])=0 and $m_step >=$(val94[19])
 condtest38=1
!else
 condtest38=0
!endif
condname38=Question 19 : $val122
condoption39=hide 

!ifval $(val98[20;3])=0 and $m_step >=$(val94[20])
 condtest39=1
!else
 condtest39=0
!endif
condname39=Question 20 : $val123
condoption40=hide 

!ifval $(val98[20;1])=0 and $(val98[20;2])=0 and $(val98[20;3])=0 and $m_step >=$(val94[20])
 condtest40=1
!else
 condtest40=0
!endif
condname40=Question 20 : $val123

!exit

:stat
vsavelist=8,19,21,35,43,48,49,50,51,52,54,56,57,58,59,60,62,63,64,65,66,67,86,91,92,93,94,95,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123
embedcnt=3
